/*
 * Class ACTIVE [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2023 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2023 [] = {0xFF01,1551,2022,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2023 [] = {0xFF01,2022,866,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2023 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2023 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2023 [] = {0xFF01,2022,866,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2023 [] = {0xFF01,2022,866,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2023 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2023 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2023 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2023 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2023 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2023 [] = {2022,866,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2023 [] = {0xFF01,2022,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2023 [] = {0xFF01,2018,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2023 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2023 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2023[] = {
	{EIF_GENERIC(NULL), 9098, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2023), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2023), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2023), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2023), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2023), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2023), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2023), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2023), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2023), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2023), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2023), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2023), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2023), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2023), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8659, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8662, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2023), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2023), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9046, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9047, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2023), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9099, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2023(void)
{
	IDSC(desc_2023, 0, 2022);
	IDSC(desc_2023 + 1, 1, 2022);
	IDSC(desc_2023 + 32, 1134, 2022);
	IDSC(desc_2023 + 41, 1135, 2022);
	IDSC(desc_2023 + 50, 1060, 2022);
	IDSC(desc_2023 + 56, 778, 2022);
}


#ifdef __cplusplus
}
#endif
